Bug 429526 - [ml_IN]: Removal of a glyph from font file
[ml_IN]: Removal of a glyph from font file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lohit-fonts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 429527
  Show dependency treegraph
 
Reported: 2008-01-21 07:12 EST by Ani Peter
Modified: 2016-07-31 21:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 04:53:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Files with correct and wrong glyph (79.32 KB, image/png)
2008-01-21 07:12 EST, Ani Peter
no flags Details
patch for Lohit-Malayalam.sfd (8.84 KB, patch)
2008-01-22 10:16 EST, Rahul Bhalerao
no flags Details | Diff
fixed ttf file (53.18 KB, application/x-font-ttf)
2008-01-22 10:17 EST, Rahul Bhalerao
no flags Details

  None (edit)
Description Ani Peter 2008-01-21 07:12:26 EST
Description of problem:
There is a glyph in Malayalam font file where when, 0D38 + 0D4D + 0D31 forms a
glyph with 0D31 under 0D38 like a below based image. This should not happen,
instead must be giving the output just as the sequence of keys.
 
Version-Release number of selected component (if applicable):
gedit 2.20.4

How reproducible:
Always

Steps to Reproduce:
1.Open gedit
2.Type 0D38, 0D4D and 0D31

  
Actual results:
Glyph formed will be like 0D31 under 0D38

Expected results:
Just as in key sequence 0D38, 0D4D and 0D31

Additional info:
screenshot attached
Comment 1 Ani Peter 2008-01-21 07:12:27 EST
Created attachment 292356 [details]
Files with correct and wrong glyph
Comment 2 Rahul Bhalerao 2008-01-22 10:16:09 EST
Created attachment 292522 [details]
patch for Lohit-Malayalam.sfd

This patch removes the said glyph.
Comment 3 Rahul Bhalerao 2008-01-22 10:17:23 EST
Created attachment 292523 [details]
fixed ttf file

Ani, can you please test this font file before I can build?
Comment 4 Ani Peter 2008-01-23 06:01:53 EST
Rahul,

this is also removed from the file and working fine.
Have tested the attached font.

Thanks
Ani
Comment 5 Rahul Bhalerao 2008-01-25 07:04:50 EST
Fixed in lohit-fonts-malayalam-2.1.8-1.fc9.
Comment 6 Bug Zapper 2008-05-14 00:49:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tony Fu 2008-09-09 23:17:25 EDT
requested by Jens Petersen (#27995)
Comment 8 A S Alam 2008-12-11 04:53:05 EST
Bug is fixed, verified with following pacakge:
lohit-fonts-malayalam-2.2.1-2.fc9

Note You need to log in before you can comment on or make changes to this bug.